﻿-- Talent Set Manager
-- by Jadya - EU Well of Eternity

local addonName, addonTable = ...

local locale = GetLocale()
addonTable.L = {}
local L = addonTable.L

local debug
--[===[@debug@
debug = true
--@end-debug@]===]

if debug then
 L["talent_sets"] = "Talent Set Manager"
 L["set_already_exists"] = "A talent set with that name already exists"
 L["sets_limit_reached"] = "You cannot create any more new talent sets."
 L["confirm_save_set"] = "Would you like to save the talent set '%s'?"
 L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?"
 L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?"
end

if locale == "esES" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "esMX" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "itIT" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "ptBR" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "frFR" then
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "deDE" then 
L["confirm_delete_set"] = "Soll das Talentset \"%s\" wirklich gelöscht werden?"
L["confirm_overwrite_set"] = "Ein Talentset mit dem Namen \"%s\" existiert bereits. Möchtest du es überschreiben?"
L["confirm_save_set"] = "Soll das Talentset \"%s\" gespeichert werden?"
L["set_already_exists"] = "Ein Talentset mit diesem Namen existiert bereits."
L["sets_limit_reached"] = "Es können keine weiteren Talentsets angelegt werden."
L["talent_sets"] = "Talent Set Manager"

elseif locale == "ruRU" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "zhCN" then 
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

elseif locale == "zhTW" then 
L["confirm_delete_set"] = "你確定要刪除此天賦設定 %s嗎？"
L["confirm_overwrite_set"] = "你已經有個天賦設定名為 %s，你想要覆寫它嗎？"
L["confirm_save_set"] = "你想要儲存天賦設定'%s'嗎？"
L["set_already_exists"] = "此天賦設定的名稱已經存在"
L["sets_limit_reached"] = "你不能在創建更多新天賦設定。"
L["talent_sets"] = "天賦設定管理"

elseif locale == "koKR" then
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?" -- Requires localization
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?" -- Requires localization
L["confirm_save_set"] = "Would you like to save the talent set '%s'?" -- Requires localization
L["set_already_exists"] = "A talent set with that name already exists" -- Requires localization
L["sets_limit_reached"] = "You cannot create any more new talent sets." -- Requires localization
L["talent_sets"] = "Talent Set Manager" -- Requires localization

else -- enUS
L["confirm_delete_set"] = "Are you sure you want to delete the talent set %s?"
L["confirm_overwrite_set"] = "You already have a talent set named %s. Would you like to overwrite it?"
L["confirm_save_set"] = "Would you like to save the talent set '%s'?"
L["set_already_exists"] = "A talent set with that name already exists"
L["sets_limit_reached"] = "You cannot create any more new talent sets."
L["talent_sets"] = "Talent Set Manager"

end